## LOC Set Operation Mode indication

LOC Set Operation Mode indication

## Functions

QmiIndicationLocSetOperationModeOutput * | qmi_indication_loc_set_operation_mode_output_ref ()
void | qmi_indication_loc_set_operation_mode_output_unref ()
gboolean | qmi_indication_loc_set_operation_mode_output_get_indication_status ()

## Types and Values

| QmiIndicationLocSetOperationModeOutput

## Object Hierarchy

        GBoxed
        ╰── QmiIndicationLocSetOperationModeOutput

## Description

## Functions

### qmi_indication_loc_set_operation_mode_output_ref ()

    QmiIndicationLocSetOperationModeOutput *
    qmi_indication_loc_set_operation_mode_output_ref
                                   (QmiIndicationLocSetOperationModeOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiIndicationLocSetOperationModeOutput. |

#### Returns

the new reference to `self` .

Since: 1.22

### qmi_indication_loc_set_operation_mode_output_unref ()

    void
    qmi_indication_loc_set_operation_mode_output_unref
                                   (QmiIndicationLocSetOperationModeOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiIndicationLocSetOperationModeOutput. |

Since: 1.22

### qmi_indication_loc_set_operation_mode_output_get_indication_status ()

    gboolean
    qmi_indication_loc_set_operation_mode_output_get_indication_status
                                   (QmiIndicationLocSetOperationModeOutput *self,
                                    QmiLocIndicationStatus *value_indication_status,
                                    GError **error);

Get the 'Indication Status' field from `self` .

#### Parameters

self | a QmiIndicationLocSetOperationModeOutput. |
value_indication_status | a placeholder for the output QmiLocIndicationStatus, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.22

## Types and Values

### QmiIndicationLocSetOperationModeOutput

    typedef struct _QmiIndicationLocSetOperationModeOutput QmiIndicationLocSetOperationModeOutput;

The QmiIndicationLocSetOperationModeOutput structure contains private data and should only be accessed using the provided API.

Since: 1.22